Bug 843460 - rpmlib(TildeInVersions) <= 4.10.0-1 errors when building rawhide packages because the builders have an older rpm
rpmlib(TildeInVersions) <= 4.10.0-1 errors when building rawhide packages bec...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On: 825087
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 07:40 EDT by Hans de Goede
Modified: 2013-05-20 06:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 06:05:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2012-07-26 07:40:48 EDT
While trying to build a new version of sdljava I hit the following problem during buildroot population:
DEBUG util.py:257:  ERROR You need to update rpm to handle:
DEBUG util.py:257:  rpmlib(TildeInVersions) <= 4.10.0-1 is needed by ftgl-devel-2.1.3-0.6.rc5.fc18.x86_64
DEBUG util.py:257:  (1, [u'RPM needs to be updated'])

See:
http://koji.fedoraproject.org/koji/getfile?taskID=4330850&name=root.log

This seems wrong to me, it seems to me that rpm put a wrong dependency in  ftgl-devel during the mass rebuild, because the dep use be >= not <= !

Also it seems strange that ftgl-devel gets this dependency at all, the only place where a ~ is used in the ftgl.spec file is:
%setup -q -n ftgl-%{version}~rc5
Comment 1 Hans de Goede 2012-07-26 10:42:00 EDT
Discussed this on irc, the requires is correct, the problem is that the builders have an older rpm installed which causes the creation of the buildroot to fail.
Comment 2 Panu Matilainen 2012-07-30 03:48:57 EDT
Yup. I'm trying to get tilde support to rhel-6 in the next update (see bug 825087), but until that happens tilde needs to be avoided.
Comment 3 Fedora End Of Life 2013-04-03 12:53:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Panu Matilainen 2013-05-20 06:05:57 EDT
Support for tilde version was backported to RHEL 6.4 (bug 825087) so technically things should work now. However Fedora policies currently ban tilde usage, sigh...

Note You need to log in before you can comment on or make changes to this bug.